/* variables */
@import url("variables.css");

/***************************************************
        Banner 
***************************************************/
.product-banner.cuenta-digital-gnb-banner.cuenta-digital-gnb-banner {
    background-image: url(../files/images/cuenta-digital-gnb/banner-cuenta-digital-gnb.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 20px;
}

.product-banner.cuenta-digital-gnb-banner .producto-banner-textos {
    background-image: none;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 0 100px;
    flex-direction: column;
    line-height: 0.9;
}

.col-sm-12.des-tabs {
    text-align: center;
}

.footer-internal-tab {
    padding-top: 30px;
}

.product-banner.cuenta-digital-gnb-banner .producto-banner-textos .producto-banner-title {
    font-size: 4em;
    line-height: 0.9;
}

.product-banner.cuenta-digital-gnb-banner .producto-banner-textos .producto-banner-subtitle {
    font-size: 3em;
    margin-bottom: 0;
    line-height: 0.9;
}

.wp-btn-solicite {
    text-align: center;
}

.title-tabs {
    display: flex;
    align-items: center;
}

.wp-btn-solicite .btn-enlaces {
    background-color: var(--blue);
    display: inline-block;
    padding: 20px 55px;
    /* margin: -30px auto 40px; */
    color: var(--white);
    border-radius: 7px;
    transition: all 0.7s;
    cursor: pointer;
    font-size: 18px;
    font-weight: 600;
}

.wp-btn-solicite .btn-enlaces:hover {
    transform: scale(1.2);
}


/***************************************************
        TABS 
***************************************************/
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb {
    column-count: 2;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border: 0;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead {
    margin-bottom: 40px;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabs-internal-cuenta-digital-gnb {
    border: 0;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb {
    width: 48%;
    padding: 0;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    order: 1;
    margin: 0 1% 10px;
    border: 0;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb {
    background-color: #F2F2F2;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb:before, 
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb:after {
    display: none;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb.tab-active {
    background-color: #83115B;
    border-radius: 10px;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active {
    background-color: #fff;
    margin-bottom: -2px;
    border-radius: 10px 10px 0 0;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .cont-tab-cuenta-digital-gnb {
    display: flex;
    justify-content: center;
    align-items: center;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .icon-cuenta-digital-gnb {
    display: inline-block;
    width: 30px;
    height: 30px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .icon-cuenta-digital-gnb.icon-tradicional {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-tradicional-purple.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active .icon-cuenta-digital-gnb.icon-tradicional {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-tradicional-white.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .icon-cuenta-digital-gnb.icon-preferente {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-preferente-purple.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active .icon-cuenta-digital-gnb.icon-preferente {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-preferente-white.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .icon-cuenta-digital-gnb.icon-opcion {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-opcion-purple.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active .icon-cuenta-digital-gnb.icon-opcion {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-opcion-white.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .icon-cuenta-digital-gnb.icon-online {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-online-purple.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active .icon-cuenta-digital-gnb.icon-online {
    background-image: url(../files/images/cuenta-digital-gnb/cuenta-digital-gnb-online-white.png);
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .txt-tab-cuenta-digital-gnb {
    color: #5A5A5A;
    width: auto;
    height: auto;
    padding-left: 5%;
    text-align: left;
    font-size: 14px;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabs-internal-cuenta-digital-gnb li.tab-cuenta-digital-gnb .txt-tab-cuenta-digital-gnb {
    padding-left: 0;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active .txt-tab-cuenta-digital-gnb {
    color: #0068B2;
}
#cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb.tab-active .txt-tab-cuenta-digital-gnb {
    color: #fff;
}
/*** ***/
.wrap-tabs-cuenta-digital-gnb {
    position: relative;
}
.wrap-tabs-cuenta-digital-gnb:before {
    content: "";
    background-color: #F2F2F2;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 60%;
    border-radius: 15px;
} 
.wrap-tabs-cuenta-digital-gnb .wp-internal-tab {
    position: relative;
    padding: 30px 15px;
}
.wrap-tabs-cuenta-digital-gnb .wp-internal-tab .title-tab {
    font-size: 30px;
    color: var(--blue);
    text-align: left;
    margin-bottom: 30px;
}
.wrap-tabs-cuenta-digital-gnb .wp-internal-tab .tab-children-cuenta-digital-gnb {
    position: relative;
    background-color: #fff;
    box-shadow: 0px 0px 5px rgb(0 0 0 / 30%);
    padding: 30px 20px 20px;
    transition: all 0.5s;
}
/***********************
Enlaces
***********************/

.wp-nav-product .list-enlaces {
    position: relative;
    display: flex;
    list-style: none;
    padding: 0;
}

.wp-nav-product .list-enlaces .item-nav-enlaces {
    background-color: #97C255;
    width: 32%;
    margin: 0 1%;
    display: block;
    width: 100%;
    text-align: center;
    border-radius: 7px;
}
.wp-nav-product .list-enlaces .item-nav-enlaces.active{
    background-color: #DEDEDE;
}
.wp-nav-product .list-enlaces .item-nav-enlaces .enlaces{
    padding: 10px;
    width: 100%;
    display: block;
    color: #fff;
}
.wp-nav-product .list-enlaces .item-nav-enlaces.active .enlaces {
    color: #5A5A5A;
}
.wp-nav-product h3 {
    color: #0073AE;
    padding: 20px 20px 0;
}
.wp-nav-product {
    position: relative;
    width: 95%;
    padding: 20px 0;
    display: block;
    margin: 0 auto;
}

.wrap-docs {
    display: none;
}
.wrap-docs.active {
    display: block;
}
.wp-nav-product ul {
    background-color: #fff;
    padding: 10px 25px 20px;
}

.wp-nav-product ul .documentos {
    width: 100%;
}

.producto-ofrecido-por-gnb p {
    margin: 0;
    font-size: 12px;
}


/* Estilo general para el botón de atrás */
button.btn-back-docs-cuenta-digital-gnb {
    background-color: #67b85d; /* Color verde que parece estar en el tema */
    color: #fff; /* Texto blanco */
    padding: 10px 20px; /* Espaciado interno para hacerlo más grande */
    border: none; /* Sin bordes */
    border-radius: 5px; /* Bordes redondeados */
    font-size: 16px; /* Tamaño de fuente */
    cursor: pointer; /* Cursor de mano al pasar sobre él */
    display: flex; /* Para alinear ícono y texto */
    align-items: center; /* Alineación vertical */
    transition: background-color 0.3s ease, transform 0.2s ease;
}

/* Alinear la flecha con el texto */
button.btn-back-docs-cuenta-digital-gnb i {
    margin-right: 10px; /* Espaciado entre la flecha y el texto */
    font-size: 18px; /* Tamaño del ícono */
}

/* Estilo para el hover (cuando el ratón pasa sobre el botón) */
button.btn-back-docs-cuenta-digital-gnb:hover {
    background-color: #539f4e; /* Cambio de color de fondo cuando se pasa el ratón */
    transform: scale(1.05); /* Efecto de agrandado */
}

/* Estilo para el enfoque (cuando el botón recibe el foco, por ejemplo, al usar la tecla Tab) */
button.btn-back-docs-cuenta-digital-gnb:focus {
    outline: none; /* Eliminar el contorno por defecto */
    box-shadow: 0 0 0 3px rgba(103, 184, 93, 0.6); /* Sombra para indicar el foco */
}


/************************************************************************
    Moviles
*************************************************************************/
@media (max-width: 767px) {
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active {
        order: 3;
    }
}


/************************************************************************
    Desktop
************************************************************************/
@media (min-width: 768px){
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb {
        display: flex;
        flex-wrap: nowrap;
    }
    .product-banner.cuenta-digital-gnb-banner .producto-banner-textos {
        height: 370px;
    }
    
    .product-banner.cuenta-digital-gnb-banner .producto-banner-textos .producto-banner-title {
        font-size: 7em;
        line-height: 0.9;
    }

    .product-banner.cuenta-digital-gnb-banner .producto-banner-textos .producto-banner-subtitle {
        line-height: 0.9;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb {
        height: auto;
        display: block;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb a {
        padding: 20px;
        display: block;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active {
        background-color: transparent;
        position: relative;
        border-radius: 10px 10px 0 0;
        overflow: hidden;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabs-internal-cuenta-digital-gnb li.tab-cuenta-digital-gnb:before {
        content: "";
        width: 0px;
        height: 100%;
        display: block;
        background-color: #fff;
        border: 0;
        top: 0;
        bottom: 0;
        transition: all 0.7s;
        left: 0;
        z-index: 1;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabs-internal-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active:before {
        width: 100%;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb .cont-tab-cuenta-digital-gnb {
        display: block;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb {
        transition: all 0.7s;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .icon-cuenta-digital-gnb {
        height: 70px;
        width: 70px;
        display: block;
        margin: 0 auto 12px;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb .cont-tab-cuenta-digital-gnb {
        position: relative;
        z-index: 1;
    }
    
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb.tab-active .txt-tab-cuenta-digital-gnb {
        position: relative;
        z-index: 1;
    }
    
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb li.tab-cuenta-digital-gnb {
        margin-bottom: 0;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabs-internal-cuenta-digital-gnb li.tab-cuenta-digital-gnb {
        margin: 0;
    }
    .wp-nav-product .list-enlaces {
        position: absolute;
        top: 20px;
        display: block;
        right: 0;
        background-color: transparent;
        text-align: right;
        width: 120px;
    }
    .wrap-tabs-cuenta-digital-gnb div#TabItems {
        padding: 30px 0 0;
    }
    .wp-nav-product {
        position: initial;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead {
        margin: -110px auto 70px;
        width: 90%;
        max-width: 980px;
    }
    
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb {
        margin: 0 15px;
    }
    #cuenta-digital-gnb .tab-items .tabs-cuenta-digital-gnb.tabHead li.tab-cuenta-digital-gnb:hover {
        transform: scale(1.2);
    }
    .wrap-tabs-cuenta-digital-gnb .wp-internal-tab {
        width: 80%;
        margin: 0 auto;
    }
    
    .wp-nav-product .list-enlaces .item-nav-enlaces {
        width: auto;
        display: inline-block;
        margin-bottom: 5px;
        cursor: pointer;
    }
    .wrap-docs {
        position: relative;
        width: 90%;
        padding: 20px;
    }
    .wp-nav-product ul {
        padding: 10px 25px 20px 50px;
    }
    .wp-nav-product .list-enlaces .item-nav-enlaces {
        border-radius: 10px 0 0 10px;
    }
}